package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractMainsonEditRequest struct {
	MainInfo *common.ContractRequest `json:"mainInfo"`
	// <ext>core:true</ext>  【添加的子文件集合】添加的子文件集合  【作用】 将传入的电子签约文件集合绑定到指定的文件组中 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	AddSonInfo []*common.ContractRequest `json:"addSonInfo,omitempty"`
	// <ext>core:true</ext>  【解绑的子文件集合】解绑的子文件集合 【作用】 将传入的电子签约文件集合从指定的文件组中解绑 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	RemoveSonInfo []*common.ContractRequest `json:"removeSonInfo,omitempty"`
}

func (obj ContractMainsonEditRequest) GetUrl() string {
	return "/contract/mainson/edit"
}

func (obj ContractMainsonEditRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
